<template>
    <v-content>
        <v-container class="fill-height" fluid justify="center">
          <router-view></router-view>
        </v-container>
    </v-content>
</template>

<script>
import { mapFields } from 'vuex-map-fields';
import { mapActions } from 'vuex';
// import NotificationMixin from '../../mixins/NotificationMixin';

export default {
  name: 'AdminView',
  mixins: [],
  components: {
    // UserInfos
  },
  data : () => ({

  }),
  created() {
    //getting the user profile will also get his company id
    if (this.userInfos) {
      this.getProfile(this.userInfos.id);
    }
  },
  computed: {
    ...mapFields('user', ['userInfos', 'loggedIn', 'isRegistered']),
    ...mapFields('admin', ['company', 'companyFound', 'storesChanged']),
  },
  methods: {
    ...mapActions('admin', ['getCompany', 'getStoresByCompany']),
    ...mapActions('user', ['getProfile', 'resetIsRegistered']),
  },
  watch: {
    companyFound(newData) {
      if (newData ) {
       this.getStoresByCompany(this.company.id);
      }
    },
    userInfos(newData) {
      if (newData && newData.company) {
       this.getCompany(newData.company['@id'].split('/')[2]);
      }
    },
    storesChanged(newstoresChanged) {
      if (newstoresChanged) {
        this.getStoresByCompany(this.company.id);
        this.$router.push({name:'adminStores'});
      }
    },
    isRegistered(newIsRegistered) {
      if(newIsRegistered) {
        this.getCompany(this.company['@id'].split('/')[2]);
        this.$router.push({name:'adminCollaboratorsList'});
        this.resetIsRegistered();
      }
    }
  } 
};
</script>

<style scoped>

</style>
